Package edu.wisc.game.svg

## Class Composite.Generator

- java.lang.Object
- - edu.wisc.game.sql.ImageObject.Generator
  - - edu.wisc.game.svg.Composite.Generator

- Enclosing class:
    Composite

      public static class Composite.Generator
      extends ImageObject.Generator

  A tool for drawing concrete ImageObjects from a family defined by a Composite object, or a union of such families.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Generator​(Composite[] _compo)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `asList()` |
    `String` | `describeBrief()` |
    `String[]` | `getKeys()` |
    `String` | `getOneKey​(Random random)` | Randomly gets the name for one concrete image object
    `String[]` | `getSomeConcreteKeys​(Random random)` | A more or less sensible sample

    - ### Methods inherited from class edu.wisc.game.sql.ImageObject.Generator

      `addMoreFeatures, getAllFeatures, sortAllFeatures`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Generator

          public Generator​(Composite[] _compo)

  - ### Method Detail

    - #### getKeys

          public String[] getKeys()

    - #### getSomeConcreteKeys

          public String[] getSomeConcreteKeys​(Random random)

      A more or less sensible sample

    - #### getOneKey

          public String getOneKey​(Random random)

      Randomly gets the name for one concrete image object
      Specified by:
        `getOneKey` in class `ImageObject.Generator`

    - #### asList

          public String asList()

      Overrides:
        `asList` in class `ImageObject.Generator`

    - #### describeBrief

          public String describeBrief()

      Overrides:
        `describeBrief` in class `ImageObject.Generator`